import request from '@/utils/request'

// 获取预交金信息初期数据列表
export function getDepositInfo(query) {
  return request({
    url: '/inhospital-charge/advance-payment/advance-payment-info',
    method: 'get',
    params: query
  })
}

// 获取预交金信息初期数据列表
export function getDepositInfoPage(params) {
  return request({
    url: '/inhospital-charge/advance-payment/advance-payment-flow',
    method: 'get',
    params: params
  })
}

// 获取患者信息 分页显示
export function getPatientInfoPage(query) {
  return request({
    url: '/deposit-manage/deposit-patient-page',
    method: 'get',
    params: query
  })
}

/**
 * 收费
 */
export function savePayment(data) {
    return request({
      url: '/inhospital-charge/advance-payment/in-advance-payment',
      method: 'post',
      data: data
    })
}

/**
 * 退费
 */
export function refund(data) {
    return request({
      url: '/inhospital-charge/advance-payment/out-advance-payment',
      method: 'post',
      data: data
    })
}